%define apiver 1.4

Name:           pangomm
Version:        2.26.1
Release:        1%{?_dist_release}
Summary:        C++ interface for Pango
Summary(ja):    Pango の C++ インターフェース

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/pangomm/2.24/%{name}-%{version}.tar.bz2
Patch0:         pangomm-2.14.0-devhelp.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  glibmm-devel >= 2.14.1
BuildRequires:  cairomm-devel >= 1.2.2
BuildRequires:  pango-devel >= 1.23.0
#BuildRequires:  doxygen graphviz

Obsoletes:      gtkmm2 < 2.13.5


%description
pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package devel
Summary:        Headers for developing programs that will use %{name}
Summary(ja):     %{name} を使用するプログラムを開発するためのファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm-devel >= 2.14.1
Requires:       cairomm-devel >= 1.2.2
Requires:       pango-devel >= 1.23.0
Requires:       pkgconfig gtk-doc
Obsoletes:      gtkmm2-devel < 2.13.5

%description devel
This package contains the libraries and header files needed for
developing pangomm applications.


%prep
%setup -q
#patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
make install DESTDIR=$RPM_BUILD_ROOT

#rm -rf $RPM_BUILD_ROOT%{_libdir}/pangomm-%{apiver}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation, put everything under gtk-doc and fix
# relative paths.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/pangomm-%{apiver}
mv $RPM_BUILD_ROOT%{_docdir}/pangomm-%{apiver}/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/pangomm-%{apiver}/
rm -r ${RPM_BUILD_ROOT}%{_docdir}/pangomm-%{apiver}

# Fix devhelp relative path
sed -i 's:doc/pangomm-%{apiver}:gtk-doc/html/pangomm-%{apiver}:g' $RPM_BUILD_ROOT%{_datadir}/devhelp/books/pangomm-%{apiver}/pangomm-%{apiver}.devhelp2

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/pangomm-%{apiver}
%{_libdir}/*.so
%{_libdir}/pangomm-%{apiver}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/pangomm-%{apiver}
%{_datadir}/devhelp/books/pangomm-%{apiver}

%changelog
* Thu Apr 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.26.1-1
- new upstream release

* Sun Sep 27 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.26.0-1
- new upstream release

* Fri Mar 20 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.24.0-1
- new upstream release
- dropped Patch0

* Sat Oct  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.14.0-1
- Initial build for Vine Linux
- added Patch0 for documentation path fix

* Fri Aug 29 2008 Denis Leroy <denis@poolshark.org> - 2.13.7-3
- Obsoletes older gtkmm to avoid libpangomm conflict 

* Wed Aug 27 2008 Denis Leroy <denis@poolshark.org> - 2.13.7-2
- Spec review fixes

* Mon Aug 25 2008 Denis Leroy <denis@poolshark.org> - 2.13.7-1
- First version
